JFrame:
  name: frame
  title: frame.title
  size: 800x600
  minimumSize: 400x300
  locationRelativeTo: null
  defaultCloseOperation: doNothingOnClose
  onWindowOpened: [execDepotUpdate,checkUpdates,focus]
  onWindowClosing: [$confirm,closeFrames,saveLocalData,exit]
  iconImage: img.kdt
  content:
    - Action(name=exitAction, text=menu.exit, toolTipText=menu.exitTooltip, icon=img.exit, onAction=[$confirm,closeFrames,saveLocalData,exit])
    - Action(name=settings, text=menu.settings, toolTipText=menu.settingsTooltip, icon=img.settings, onAction=[showSettings])
    - JMenuBar:
        - JMenu(name=fileMenu, text=menu.file):
            - JMenuItem(action=settings)
            - JMenuItem(action=exitAction)
    - JToolBar(name=tools, floatable=false, orientation=0):
        - JButton(action=exitAction, hideActionText=true)
        - JToolBarSeparator()
        - JButton(action=settings, hideActionText=true)
    - JSplitPane(name=contents, orientation=horizontalSplit, continuousLayout=true):
        - JPanel(name=panMods):
            - JLabel(name=lblModTypes, text=lblModTypes.text)
            - JComboBox(name=cmbModTypes, onAction=modTypeSelection)
            - JScrollPane(name=scrollMods, vScrollBar=always, hScrollBar=never):
                JTable(name=tblMods, visible=false)
            - MigLayout: |
                 [grow]
                 lblModTypes<,cmbModTypes           [min]
                 scrollMods                         [grow]
        - JPanel(name=panInfo):
            - JLabel(name=lblSubmitter, text=lblSubmitter.text)
            - JLabel(name=lblSubmitterVal)
            - JLabel(name=lblCreator, text=lblCreator.text)
            - JLabel(name=lblCreatorVal)
            - JLabel(name=lblId, text=lblId.text)
            - JLabel(name=lblIdVal)
            - JLabel(name=lblFiles, text=lblFiles.text)
            - JLabel(name=lblFilesVal)
            - JLabel(name=lblDescription, text=lblDescription.text)
            - JScrollPane(name=scrollDescription, vScrollBar=always, hScrollBar=asNeeded):
                HTMLLinkLabel(name=lblDescriptionVal)
            - MigLayout: |
                 [min]             [grow]
                 >lblSubmitter     lblSubmitterVal    [min]
                 >lblCreator       lblCreatorVal      [min]
                 >lblId            lblIdVal           [min]
                 >lblFiles         lblFilesVal        [min]
                 >^lblDescription  scrollDescription  [grow]
    - MigLayout:
        layoutConstraints: wrap 1
        columnConstraints: grow
        rowConstraints: grow
        constraints:
            - tools: dock north
            - contents: grow
